#
# spec file for package yast2-dhcp-server (Version 2.9.23)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  perl-Digest-SHA1 perl-Parse-RecDescent perl-X500-DN perl-gettext yast2-devel-packages yast2-firewall yast2-ldap-server yast2-network yast2-perl-bindings

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db4 MAKEDEV diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-common gpm grep groff gzip info chkconfig kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netconfig openldap-clients openssl pam patch popt procinfo procps psmisc shadow-utils rcs readline sed strace sysklogd SysVinit tar tcp_wrappers texinfo tzdata unzip util-linux vim-common zlib zlib-devel autoconf automake binutils curl dejagnu doxygen expect gcc gdbm gettext libtool liby2util liby2util-devel openslp openslp-devel perl perl-Digest-SHA1 perl-Parse-RecDescent perl-X500-DN perl-XML-Writer perl-gettext  rpm tcl update-desktop-files yast2 yast2-core yast2-core-devel yast2-devtools yast2-firewall yast2-ldap-server yast2-network yast2-packagemanager yast2-packagemanager-devel yast2-perl-bindings yast2-testsuite suse-macros

Name:         yast2-dhcp-server
Version:      2.9.23
Release:      0.2
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-dhcp-server-2.9.23.tar.bz2
prefix:		/usr
Requires:     yast2 yast2-firewall perl-gettext yast2-perl-bindings bind-utils yast2-ldap-server perl-X500-DN yast2-network perl-Digest-SHA1 perl-Parse-RecDescent
BuildArchitectures:	noarch
Summary:      YaST2 - DHCP Server Configuration

%description
This package contains the YaST2 component for DHCP server
configuration.



Authors:
--------
    Jiri Srain <jsrain@suse.cz>

%prep
%setup -n yast2-dhcp-server-2.9.23

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
#g++32 can't support mtune parameter
RPM_OPT_FLAGS=`echo "$RPM_OPT_FLAGS" | sed -e 's/-mtune=pentium4//'`
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
CC=gcc32 CXX=g++32 ./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/dhcp-server
/usr/share/YaST2/include/dhcp-server/*
/usr/share/YaST2/clients/dhcp-server.ycp
/usr/share/YaST2/clients/dhcp-server_*.ycp
/usr/share/YaST2/modules/*
%{prefix}/share/applications/YaST2/dhcp-server.desktop
/usr/share/YaST2/scrconf/cfg_dhcpd.scr
/usr/share/YaST2/scrconf/etc_dhcpd_conf.scr
/usr/lib/YaST2/servers_non_y2/ag_dhcpd_conf
%doc %{prefix}/share/doc/packages/yast2-dhcp-server

%changelog -n yast2-dhcp-server
* Mon Mar 12 2007 - pearly.zhao@oracle.com
- Port to RHEL/EL
* Mon May 31 2004 - jsrain@suse.cz
- YaPI fixes (no functino wrote settings properly) (#41450)
- added YaPI testsuite
- 2.9.23
* Wed May 26 2004 - jsrain@suse.cz
- not forcing user to set the default lease time (as it is not
  needed, default value is used if not set) (#41144)
- 2.9.22
* Thu May 20 2004 - jsrain@suse.cz
- highlight the selected entry of the left tree widget (#40782)
- do not start if installation of required packages failed or
  cancelled (#40908)
- prevent from touching system when preparing autoinstallation
  profile (#40479)
- 2.9.21
* Wed May 19 2004 - jsrain@suse.cz
- added YaPI capabilities and version (#40796)
- do not allow to configure interfaces when preparing profile for
  AutoYaST (#40558)
* Tue May 18 2004 - jsrain@suse.cz
- display the left tree widget also in NCurses (#40569)
- connecting to LDAP server using the Ldap module (in order to
  prevent it from reconnecting) (#40577)
- fixed behavior if recreating TSIG key (#40600)
- fixed handling of present/not-present options if configuration
  is stored in LDAP (#40775)
- do not read information about network interfaces directly from
  sysconfig, but use ifconfig instead (#40412)
- prevent from listing include files in syscofnig multiple times,
  adding dots to DDNS zone names if missed (#40604)
- ensure /etc/named.d exists before creating TSIG key (#40786)
* Mon May 17 2004 - jsrain@suse.cz
- fixed exporting data for autoinstallation (#40555)
- always start expert sequence when preparing autoinstallation
  control file, fixed possible crash (#40568)
- check hardware address properly before writing to LDAP (#40599)
- fixed importing of incomplete data (#40558)
- correctly create ou=ldapconfig if called through YaPI (#40577)
* Thu May 13 2004 - jsrain@suse.cz
- fixed checking of values in the DDNS dialog (#40411)
- 2.9.20
* Wed May 12 2004 - jsrain@suse.cz
- allow only a-zA-Z0-9_ for TSIG Key identifier (#40422)
- fixed reading and saving lease times (#40414)
- creating ldapConfig in LDAP if missing (#40366)
* Wed May 12 2004 - visnov@suse.cz
- correctly handle if only one nameserver is entered (#40333)
* Tue May 11 2004 - visnov@suse.cz
- show really configured domain (#40326)
* Tue May 11 2004 - jsrain@suse.cz
- added check box for LDAP support to expert dialogs (#40246)
- do not discard changes when switching to/from LDAP (#40306)
- detect if configuration is simple enough for the simple sequence
  and start expert sequence otherwise (#40077)
- added correct error reporting when switching to LDAP (#40321)
- don't offer to select TSIG key if no is set (#40353)
* Mon May 10 2004 - jsrain@suse.cz
- one more fix of creating new configuration in LDAP tree (mt)
  (#39686)
- properly handle quoting in DHCP optinos (#40044)
- define ddns-update-style if not defined (#40044)
- start wizard in case of empty/sample dhcpd.conf (#40043)
- properly remove unneeded options from dhcpd.conf when switched
  to use / not to use LDAP (#40043)
- merged texts from proofread
- fixed calling of gettext from Perl modules (#40160)
- create needed LDAP stuff when saving (and not during reading
  process) (#39942)
- add suport for specifying lease times in minutes and seconds
  (#40247)
- fixed forgotten lease time values (#40258)
- fixed checking for values in global options dialog (locilka)
  (#40255)
- fixed data checking in host management dialog (locilka) (#40269)
* Thu May 06 2004 - jsrain@suse.cz
- moved the "Expert settings" button to the tree widget (#39985)
- abort reading if cannot determine t:he host name (#39791)
- check if default sample configuration file is found and avoid
  using it (#40043)
- 2.9.19
* Wed May 05 2004 - jsrain@suse.cz
- fixed saving when no data is present in LDAP and dhcpd.conf
  (#39791)
- moved the settings in LDAP tree under ou=DNS,$ldap_domain
  (#39686)
* Tue May 04 2004 - jsrain@suse.cz
- merged texts from proofread
- fixed input checking (#39861)
- fixed comments for translators
* Mon May 03 2004 - jsrain@suse.cz
- check if dhcp.schema is included in /etc/openldap/slapd.conf
  and add it if it is missing (#39589)
* Fri Apr 30 2004 - jsrain@suse.cz
- added missing helps
- 2.9.18
* Thu Apr 29 2004 - visnov@suse.cz
- complete UI redesign
- 2.9.17
* Mon Apr 26 2004 - jsrain@suse.cz
- updated API to support LDAP
* Fri Apr 23 2004 - jsrain@suse.cz
- added LDAP support
* Mon Apr 05 2004 - jsrain@suse.de
- fixed names of directives in the list of possible directioves
  to add (#38168)
- fixed type of the 'ddns-updates' option (#38168)
- 2.9.16
* Fri Apr 02 2004 - jsrain@suse.de
- changed license to GPL
- 2.9.15
* Fri Apr 02 2004 - jsrain@suse.de
- added missing 'range' directive to directives possible to be
  added to address pool (#37846)
- sorting first directives and then options in the list of options
  to add to a declaration (#37846)
- 2.9.14
* Wed Mar 31 2004 - jsrain@suse.de
- again fixed behavior of some directives (weren't read and saved
  correctly) (#37265)
- ask for interface to listn to before running main dialog if no
  interface is selected (#37417)
- 2.9.13
* Tue Mar 30 2004 - jsrain@suse.de
- fixed grabbing the list of interfaces to listen to (#37534)
- fixed accidental destroying of list of files to copy to chroot
  jail (#37281)
* Tue Mar 30 2004 - jsrain@suse.de
- fixed import of empty data when preparing autoinstallation (#37179)
- 2.9.12
* Mon Mar 29 2004 - jsrain@suse.de
- add also includes added not using YaST to sysconfig to be copied
  to chroot (#37281)
- enabling the wodgets of the DynamicDNS dialog properly (#37282)
- fixed adding of new TSIG keys
- fixed writing of some directives (eg. 'filename', 'authoritative')
  (#37265)
- 2.9.11
* Wed Mar 24 2004 - jsrain@suse.cz
- added check box for running DHCP server in chroot jail
- disabling possibility to change the settings if the DNS service
  is disabled (#36799)
- preselect type of declaration to add
- 2.9.10
* Mon Mar 22 2004 - jsrain@suse.cz
- updated .desktop file to provide autoinstallation clonning support
- 2.9.9
* Thu Mar 18 2004 - jsrain@suse.cz
- addapted to calling all perl and YCP functions as class methods
  (added $self = shift; ,...)
* Wed Mar 10 2004 - jsrain@suse.de
- addapted to the new array context - a YCP list is always a
  reference to a Perl array
- 2.9.8
* Wed Mar 10 2004 - jsrain@suse.de
- fixed crash if configuration fiels are missing (#35515)
- not asking before aborting if nothing was changed (#35516)
- 2.9.7
* Tue Mar 09 2004 - jsrain@suse.de
- Require -> Package
- added AutoPackages suport
- addded more high-level functions for DHCP adjustments (#33572)
* Mon Mar 08 2004 - jsrain@suse.de
- fixed import of empty settings (#35441)
- setting icon
- 2.9.6
* Fri Mar 05 2004 - jsrain@suse.de
- typing fixes
- 2.9.5
* Mon Mar 01 2004 - jsrain@suse.de
- fixed creating of TSIG keys
- merged texts from proofread
- fixed lists of offered options for subnet and host declarations
- enhanced checking of values od DHCP options (#33571)
- more strict variable types
- 2.9.4
* Tue Feb 24 2004 - jsrain@suse.de
- fixed typo in a DHCP option name (#34902)
* Mon Feb 23 2004 - jsrain@suse.de
- enhanced Dynamic DNS support
- fixed log displaying popup
- 2.9.3
* Thu Feb 19 2004 - jsrain@suse.de
- removed yast2-packager from neededforbuild
* Tue Feb 10 2004 - jsrain@suse.de
- fixed testsuite to updated perl-bindings
- updated helps
- added DynDNS support
- autoinstallation updates
- several other fixes
- 2.9.2
* Fri Feb 06 2004 - jsrain@suse.de
- dropped .y2cc file
- module rewritten to Perl
- testsuite updates
- UI improvements
- 2.9.1
* Thu Jan 29 2004 - jsrain@suse.de
- created agent for reading/writing /etc/dhcpd.conf file
* Fri Oct 03 2003 - jsrain@suse.de
- adapted to Table/Popup stuff split off from CWM.ycp
- 2.9.0
* Wed Oct 01 2003 - jsrain@suse.de
- smarter configuring of firewall (#30783)
* Thu Sep 18 2003 - jsrain@suse.de
- closing dialog properly if read aborted (#31249)
- 2.8.7
* Wed Sep 17 2003 - jsrain@suse.de
- added possibility to adapt firewall settings when saving DNS
  server configuration (#30783)
- fixed requires (added yast2-packager)
- 2.8.6
* Mon Sep 15 2003 - jsrain@suse.de
- fixed managing of multiple hosts (#30781)
- 2.8.5
* Fri Sep 05 2003 - jsrain@suse.de
- merged texts from proofread
- added possiblity to specify interfaces to listen to (#30119)
- 2.8.4
* Fri Aug 29 2003 - jsrain@suse.de
- changed strange popup (#29385)
- 2.8.3
* Thu Aug 28 2003 - jsrain@suse.de
- checking if dhcp server is installed (#29423)
- added .desktop file
- fixed help text (#29385)
* Tue Aug 26 2003 - jsrain@suse.de
- better testsuite
- updated _auto client
- 2.8.2
* Mon Aug 18 2003 - jsrain@suse.de
- merged texts from proofread
- 2.8.1
* Fri Aug 15 2003 - jsrain@suse.de
- updated to current version of CWM
- 2.8.0
* Thu Jun 12 2003 - jsrain@suse.de
- initial version
- 2.6.0
